Subject: Re: Migrating SVN to Git, and preserve merge information

From: Andrew Sayers <[email-masked]>
Date: Wed, 11 Apr 2012 18:58:31 +0100

Thanks Nick for the outline - the main thing I take from this is that
"unmerge" is used in real world revision messages, so it's important for
me to test that any regexp does the right thing there.

It sounds like grafts aren't the right solution for your problem.  I
can't really suggest much without a better understanding of what you're
trying to achieve, but you might be interested in `git cherry`, which
tries to detect cherry-picked commits by comparing the diffs.

	- Andrew